Module Module1

    Sub Main()
        ' Ustalamy parametry, z jakimi została uruchomiona aplikacja
        Console.Write("Parametry wiersza polecenia: ")
        For Each Arg As String In My.Application.CommandLineArgs
            Console.Write(Arg & " ")
        Next
        Console.WriteLine()
        Console.WriteLine()

        ' Pobieramy informacje o podzespole, w którym znajduje się ten kod
        ' Informacje te pochodzą z metadanych (atrybutów w kodzie)
        Console.WriteLine("Firma: " & My.Application.Info.CompanyName)
        Console.WriteLine("Opis: " & My.Application.Info.Description)
        Console.WriteLine("Lokalizacja: " & My.Application.Info.DirectoryPath)
        Console.WriteLine("Prawa autorskie: " & My.Application.Info.Copyright)
        Console.WriteLine("Znak towarowy: " & My.Application.Info.Trademark)
        Console.WriteLine("Nazwa: " & My.Application.Info.AssemblyName)
        Console.WriteLine("Produkt: " & My.Application.Info.ProductName)
        Console.WriteLine("Tytuł: " & My.Application.Info.Title)
        Console.WriteLine("Wersja: " & My.Application.Info.Version.ToString())
        Console.WriteLine()


        Console.WriteLine("Wczytane podzespoły:")
        For Each Assm As System.Reflection.Assembly In My.Application.Info.LoadedAssemblies
            Console.WriteLine(Assm.GetName().Name)
        Next
        Console.WriteLine()

        Console.WriteLine("Bieżący stos: " & My.Application.Info.StackTrace)
        Console.WriteLine()

        Console.ReadLine()
    End Sub

End Module
